Debian 8 Jessie 64bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20170523-19234-1qsffzk/input'...

-----> Restoring cache

-----> Starting packaging process

-----> Fetching buildpack /tmp/buildpacks/sources/pkgr/heroku-buildpack-ruby.git at buildcurl

-----> Ruby app

-----> Running hook: "/tmp/before_hook20170523-17-16puhm3.sh"

ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-linux]

APP_NAME=zammad

Linux 94eb1103cede 3.13.0-35-generic #62-Ubuntu SMP Fri Aug 15 01:58:42 UTC 2014 x86_64 GNU/Linux

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

PWD=/tmp/d20170523-17-11hxd51/opt/zammad

CURL_CONNECT_TIMEOUT=120

SHLVL=1

REQUEST_ID=96325

TARGET=debian:8

RAILS_ENV=production

PORT=3000

CURL_TIMEOUT=1200

HOME=/home/pkgr

_=/usr/bin/env

DATABASE_URL=postgres://postgres@127.0.0.1:5432/postgres

remote: https://rubygems.org/

GEM

specs:

actionmailer (4.2.7.1)

actionpack (= 4.2.7.1)

actionview (= 4.2.7.1)

activejob (= 4.2.7.1)

mail (~> 2.5, >= 2.5.4)

rails-dom-testing (~> 1.0, >= 1.0.5)

actionview (= 4.2.7.1)

actionpack (4.2.7.1)

activesupport (= 4.2.7.1)

rack (~> 1.6)

rack-test (~> 0.6.2)

rails-dom-testing (~> 1.0, >= 1.0.5)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

actionview (4.2.7.1)

activesupport (= 4.2.7.1)

builder (~> 3.1)

erubis (~> 2.7.0)

rails-html-sanitizer (~> 1.0, >= 1.0.2)

rails-dom-testing (~> 1.0, >= 1.0.5)

activejob (4.2.7.1)

activesupport (= 4.2.7.1)

globalid (>= 0.3.0)

activemodel (4.2.7.1)

builder (~> 3.1)

activesupport (= 4.2.7.1)

activerecord (4.2.7.1)

activemodel (= 4.2.7.1)

arel (~> 6.0)

activerecord-nulldb-adapter (0.3.6)

activesupport (= 4.2.7.1)

activerecord (>= 2.0.0)

activerecord-session_store (1.0.0)

activerecord (>= 4.0, < 5.1)

actionpack (>= 4.0, < 5.1)

multi_json (~> 1.11, >= 1.11.2)

rack (>= 1.5.2, < 3)

i18n (~> 0.7)

activesupport (4.2.7.1)

railties (>= 4.0, < 5.1)

minitest (~> 5.1)

json (~> 1.7, >= 1.7.7)

thread_safe (~> 0.3, >= 0.3.4)

tzinfo (~> 1.1)

arel (6.0.3)

addressable (2.4.0)

argon2 (1.1.1)

ffi (~> 1.9)

ast (2.3.0)

ffi-compiler (~> 0.1)

autoprefixer-rails (6.4.1.1)

execjs

biz (1.6.0)

tzinfo

clavius (~> 1.0)

browser (2.2.0)

builder (3.2.2)

buftok (0.2.0)

childprocess (0.5.9)

clavius (1.0.2)

ffi (~> 1.0, >= 1.0.11)

clearbit (0.2.5)

coderay (1.1.1)

nestful (~> 1.1.0)

coffee-rails (4.2.1)

coffee-script (>= 2.2.0)

railties (>= 4.0.0, < 5.2.x)

coffee-script (2.4.1)

coffee-script-source

execjs

coffeelint (1.14.0)

coffee-script-source (1.10.0)

execjs

coffee-script

concurrent-ruby (1.0.2)

json

coveralls (0.8.16)

json (>= 1.8, < 3)

simplecov (~> 0.12.0)

term-ansicolor (~> 1.3.0)

tins (>= 1.6.0, < 2)

thor (~> 0.19.1)

crack (0.4.3)

safe_yaml (~> 1.0.0)

daemons (1.2.4)

delayed_job (4.1.2)

delayed_job_active_record (4.1.1)

activerecord (>= 3.0, < 5.1)

activesupport (>= 3.0, < 5.1)

delayed_job (>= 3.0, < 5)

diff-lcs (1.2.5)

diffy (3.1.0)

dnsruby (1.59.3)

docile (1.1.5)

domain_name (0.5.20160826)

railties (>= 4.2)

doorkeeper (4.2.0)

unf (>= 0.0.5, < 1.0.0)

eco (1.0.0)

coffee-script

eco-source

eco-source (1.1.0.rc.1)

execjs

em-websocket (0.5.1)

eventmachine (>= 0.12.9)

http_parser.rb (~> 0.6.0)

email_verifier (0.1.0)

dnsruby (>= 1.5)

equalizer (0.0.10)

erubis (2.7.0)

execjs (2.7.0)

eventmachine (1.2.0.1)

factory_girl (4.8.0)

activesupport (>= 3.0.0)

factory_girl_rails (4.8.0)

factory_girl (~> 4.8.0)

railties (>= 3.0.0)

faraday (0.9.2)

multipart-post (>= 1.2, < 3)

faraday-http-cache (1.3.1)

faraday (~> 0.8)

rake

ffi (>= 1.0.0)

ffi-compiler (0.1.3)

ffi (1.9.14)

figaro (1.1.1)

github_changelog_generator (1.14.1)

thor (~> 0.14)

formatador (0.2.5)

faraday-http-cache

activesupport

multi_json

rainbow (>= 2.1)

octokit (~> 4.0)

rake (>= 10.0)

globalid (0.3.7)

retriable (~> 2.1)

activesupport (>= 4.1.0)

formatador (>= 0.2.4)

guard (2.14.0)

listen (>= 2.7, < 4.0)

lumberjack (~> 1.0)

nenv (~> 0.1)

notiffany (~> 0.0)

shellany (~> 0.0)

pry (>= 0.9.12)

thor (>= 0.18.1)

guard-compat (1.2.1)

guard-livereload (2.5.2)

guard (~> 2.8)

em-websocket (~> 0.5)

guard-compat (~> 1.0)

multi_json (~> 1.8)

hashdiff (0.3.2)

htmlentities (4.3.4)

hashie (3.4.4)

http (1.0.4)

addressable (~> 2.3)

http-cookie (~> 1.0)

http-form_data (~> 1.0.1)

http_parser.rb (~> 0.6.0)

http-cookie (1.0.2)

domain_name (~> 0.5)

http-form_data (1.0.1)

http_parser.rb (0.6.0)

icalendar (2.4.1)

i18n (0.8.1)

inflection (1.0.0)

json (1.8.6)

kgio (2.11.0)

jwt (1.5.4)

koala (2.4.0)

faraday

addressable

multi_json (>= 1.3.0)

listen (3.1.5)

libv8 (3.16.14.15)

rb-fsevent (~> 0.9, >= 0.9.4)

rb-inotify (~> 0.9, >= 0.9.7)

ruby_dep (~> 1.2)

loofah (2.0.3)

lumberjack (1.0.10)

nokogiri (>= 1.5.9)

mail (2.6.4)

memoizable (0.4.2)

mime-types (>= 1.16, < 4)

thread_safe (~> 0.3, >= 0.3.1)

method_source (0.8.2)

mime-types (3.1)

mime-types-data (~> 3.2015)

mime-types-data (3.2016.0521)

minitest (5.10.1)

multi_json (1.12.1)

mini_portile2 (2.1.0)

multi_xml (0.5.5)

multipart-post (2.0.0)

mysql2 (0.4.4)

naught (1.1.0)

nenv (0.3.0)

nestful (1.1.1)

net-ldap (0.15.0)

netrc (0.11.0)

nokogiri (1.7.1)

mini_portile2 (~> 2.1.0)

nenv (~> 0.1)

notiffany (0.1.1)

shellany (~> 0.0)

oauth (0.5.1)

oauth2 (1.2.0)

faraday (>= 0.8, < 0.10)

jwt (~> 1.0)

multi_json (~> 1.3)

multi_xml (~> 0.5)

rack (>= 1.2, < 3)

octokit (4.4.1)

sawyer (~> 0.7.0, >= 0.5.3)

omniauth (1.3.1)

hashie (>= 1.2, < 4)

rack (>= 1.0, < 3)

omniauth-facebook (4.0.0)

omniauth-github (1.1.2)

omniauth-oauth2 (~> 1.2)

omniauth (~> 1.0)

omniauth-oauth2 (~> 1.1)

omniauth (~> 1.0)

omniauth-gitlab (1.0.2)

omniauth-google-oauth2 (0.4.1)

omniauth-oauth2 (~> 1.0)

jwt (~> 1.5.2)

omniauth (>= 1.1.1)

multi_json (~> 1.3)

omniauth-oauth2 (>= 1.3.1)

omniauth (~> 1.0)

omniauth-linkedin-oauth2 (0.1.5)

omniauth-oauth2

omniauth-oauth (1.1.0)

oauth

omniauth (~> 1.0)

omniauth-oauth2 (1.4.0)

oauth2 (~> 1.0)

omniauth-twitter (1.2.1)

omniauth (~> 1.2)

json (~> 1.3)

omniauth-oauth (~> 1.1)

ast (~> 2.2)

parser (2.3.1.2)

pg (0.18.4)

pluginator (1.3.0)

power_assert (0.3.1)

pre-commit (0.28.0)

powerpack (0.1.1)

pluginator (~> 1.1)

pry (0.10.4)

coderay (~> 1.1.0)

method_source (~> 0.8.1)

slop (~> 3.4)

puma (3.6.0)

rack (1.6.4)

rack

rack-livereload (0.3.16)

rack-test (0.6.3)

rack (>= 1.0)

rails (4.2.7.1)

actionpack (= 4.2.7.1)

actionmailer (= 4.2.7.1)

actionview (= 4.2.7.1)

activerecord (= 4.2.7.1)

activejob (= 4.2.7.1)

activemodel (= 4.2.7.1)

activesupport (= 4.2.7.1)

railties (= 4.2.7.1)

bundler (>= 1.3.0, < 2.0)

sprockets-rails

rails-deprecated_sanitizer (1.0.3)

rails-dom-testing (1.0.8)

activesupport (>= 4.2.0.alpha)

activesupport (>= 4.2.0.beta, < 5.0)

nokogiri (~> 1.6)

rails-html-sanitizer (1.0.3)

rails-deprecated_sanitizer (>= 1.0.1)

rails-observers (0.1.2)

loofah (~> 2.0)

activemodel (~> 4.0)

actionpack (= 4.2.7.1)

railties (4.2.7.1)

rake (>= 0.8.7)

activesupport (= 4.2.7.1)

rainbow (2.1.0)

thor (>= 0.18.1, < 2.0)

rake (11.2.2)

raindrops (0.17.0)

rb-fsevent (0.9.7)

ffi (>= 0.5.0)

ref (2.0.0)

rest-client (2.0.0)

rb-inotify (0.9.7)

http-cookie (>= 1.0.2, < 2.0)

mime-types (>= 1.16, < 4.0)

netrc (~> 0.8)

retriable (2.1.0)

rspec-core (3.5.4)

rspec-expectations (3.5.0)

rspec-support (~> 3.5.0)

diff-lcs (>= 1.2.0, < 2.0)

rspec-support (~> 3.5.0)

rspec-mocks (3.5.0)

rspec-support (~> 3.5.0)

diff-lcs (>= 1.2.0, < 2.0)

rspec-rails (3.5.2)

actionpack (>= 3.0)

activesupport (>= 3.0)

railties (>= 3.0)

rspec-core (~> 3.5.0)

rspec-expectations (~> 3.5.0)

rspec-mocks (~> 3.5.0)

rspec-support (3.5.0)

rspec-support (~> 3.5.0)

rubocop (0.42.0)

parser (>= 2.3.1.1, < 3.0)

rainbow (>= 1.99.1, < 3.0)

powerpack (~> 0.1)

unicode-display_width (~> 1.0, >= 1.0.1)

ruby-progressbar (~> 1.7)

ruby-progressbar (1.8.1)

ruby_dep (1.4.0)

safe_yaml (1.0.4)

rubyzip (1.2.1)

sass-rails (5.0.6)

sass (3.4.22)

railties (>= 4.0.0, < 6)

sass (~> 3.1)

sprockets (>= 2.8, < 4.0)

tilt (>= 1.1, < 3)

sprockets-rails (>= 2.0, < 4.0)

sawyer (0.7.0)

faraday (~> 0.8, < 0.10)

scrub_rb (1.0.1)

addressable (>= 2.3.5, < 2.5)

selenium-webdriver (2.53.4)

childprocess (~> 0.5)

rubyzip (~> 1.0)

websocket (~> 1.0)

shellany (0.0.1)

simple-rss (1.3.1)

simple_oauth (0.3.1)

docile (~> 1.1.0)

simplecov (0.12.0)

json (>= 1.8, < 3)

simplecov-html (~> 0.10.0)

simplecov-html (0.10.0)

slack-notifier (1.5.1)

simplecov-rcov (0.2.3)

simplecov (>= 0.4.1)

slop (3.6.0)

spring (1.7.2)

spring-commands-rspec (1.0.4)

spring (>= 0.9.1)

sprockets (3.7.0)

concurrent-ruby (~> 1.0)

rack (> 1, < 3)

sprockets-rails (3.2.0)

actionpack (>= 4.0)

activesupport (>= 4.0)

sprockets (>= 3.0.0)

sqlite3 (1.3.11)

telegramAPI (1.2.2)

rest-client (~> 2.0, >= 1.7.3)

term-ansicolor (1.3.2)

tins (~> 1.0)

test-unit (3.2.1)

power_assert

therubyracer (0.12.2)

ref

libv8 (~> 3.16.14.0)

thor (0.19.1)

thread_safe (0.3.6)

tilt (2.0.5)

tins (1.13.0)

twitter (5.16.0)

buftok (~> 0.2.0)

addressable (~> 2.3)

equalizer (= 0.0.10)

http_parser.rb (~> 0.6.0)

faraday (~> 0.9.0)

http (~> 1.0)

json (~> 1.8)

memoizable (~> 0.4.0)

naught (~> 1.0)

simple_oauth (~> 0.3.0)

tzinfo (1.2.2)

thread_safe (~> 0.1)

uglifier (3.0.2)

unf (0.1.4)

execjs (>= 0.3.0, < 3)

unf_ext

unf_ext (0.0.7.2)

unicode-display_width (1.1.1)

unicorn (5.2.0)

kgio (~> 2.6)

raindrops (~> 0.7)

addressable (>= 2.3.6)

webmock (2.3.2)

crack (>= 0.3.2)

hashdiff

websocket (1.2.3)

writeexcel (1.0.5)

zendesk_api (1.14.0)

faraday (~> 0.9)

inflection

hashie (>= 1.2, < 4.0, != 3.3.0)

multipart-post (~> 2.0)

mime-types

scrub_rb (~> 1.0.1)

PLATFORMS

ruby

DEPENDENCIES

activerecord-nulldb-adapter

activerecord-session_store

argon2

autoprefixer-rails

browser

clearbit

biz

coffee-rails

coffee-script-source

coffeelint

coveralls

daemons

delayed_job_active_record

doorkeeper

diffy

eco

em-websocket

execjs

email_verifier

eventmachine

factory_girl_rails

figaro

github_changelog_generator

guard

guard-livereload

icalendar

htmlentities

json

koala

libv8

mime-types

mysql2

mail

net-ldap

oauth2

omniauth

omniauth-facebook

omniauth-github

omniauth-gitlab

omniauth-linkedin-oauth2

omniauth-google-oauth2

omniauth-oauth2

pg

omniauth-twitter

pre-commit

puma

rack-livereload

rails (= 4.2.7.1)

rails-observers

rb-fsevent

rubocop

rspec-rails

sass-rails

selenium-webdriver

simple-rss

simplecov

simplecov-rcov

slack-notifier

spring

spring-commands-rspec

sqlite3

sprockets

telegramAPI

test-unit

therubyracer

twitter

uglifier

unicorn

webmock

writeexcel

zendesk_api

RUBY VERSION

ruby 2.3.1p112

BUNDLED WITH

1.13.7

+ rm app/assets/javascripts/app/controllers/layout_ref.coffee

+ rm app/assets/javascripts/app/controllers/karma.coffee

+ rm -rf app/assets/javascripts/app/views/layout_ref/

+ rm app/assets/javascripts/app/controllers/role.coffee

+ rm app/assets/javascripts/app/controllers/report.coffee

+ rm app/assets/javascripts/app/controllers/report_profile.coffee

-----> Compiling Ruby/Rails

-----> Using Ruby version: ruby-2.3.1

-----> Installing dependencies using bundler 1.11.2

cp: '/tmp/d20170523-17-11hxd51/opt/zammad/.git/cache/vendor/bundle/.' and '/tmp/d20170523-17-11hxd51/opt/zammad/.git/cache/vendor/bundle/.' are the same file

Running: bundle install --without development:test --path vendor/bundle --binstubs vendor/bundle/bin -j4 --deployment

Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

Could not load OpenSSL.

You must recompile Ruby with OpenSSL support or change the sources in your

Gemfile from 'https' to 'http'. Instructions for compiling with OpenSSL using

RVM are available at http://rvm.io/packages/openssl.

Bundler Output: Warning: the running version of Bundler is older than the version that created the lockfile. We suggest you upgrade to the latest version of Bundler by running `gem install bundler`.

Could not load OpenSSL.

You must recompile Ruby with OpenSSL support or change the sources in your

RVM are available at http://rvm.io/packages/openssl.

!

Gemfile from 'https' to 'http'. Instructions for compiling with OpenSSL using

!

! Failed to install gems via Bundler.

! ERROR: compile failed

! Please contact support.

Failure during packaging

! FAILED.